Index: palm/trunk/SOURCE/land_surface_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 4359)
+++ palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 4360)
@@ -6971,216 +7107,83 @@
                                      nxlf, nxrf, nysf, nynf,                   &
                                      nys_on_file, nyn_on_file,                 &
-                                     nxl_on_file,nxr_on_file )
-
-
-           CASE ( 'm_soil_v(3)' )
-            
-              IF ( k == 1 )  THEN
-                 IF ( .NOT.  ALLOCATED( m_soil_v(3)%var_2d ) )                 &
-                    ALLOCATE( m_soil_v(1)%var_2d(nzb_soil:nzt_soil+1,          &
-                                                 1:surf_lsm_v(3)%ns) )
-                 READ ( 13 )  tmp_walltype_v_2d2(3)%var_2d
-              ENDIF
-              CALL surface_restore_elements(                                   &
-                                     m_soil_v(3)%var_2d,                       & 
-                                     tmp_walltype_v_2d2(3)%var_2d,             &
-                                     surf_lsm_v(3)%start_index,                &  
-                                     start_index_on_file,                      &
-                                     end_index_on_file,                        &
-                                     nxlc, nysc,                               &
-                                     nxlf, nxrf, nysf, nynf,                   &
-                                     nys_on_file, nyn_on_file,                 &
-                                     nxl_on_file,nxr_on_file )
-
-
-           CASE ( 'm_liq_h' )
-            
-              IF ( k == 1 )  THEN
-                 IF ( .NOT.  ALLOCATED( m_liq_h%var_1d ) )                     &
-                    ALLOCATE( m_liq_h%var_1d(1:surf_lsm_h%ns) )
-                 READ ( 13 )  tmp_walltype_h_1d%var_1d
-              ENDIF
-              CALL surface_restore_elements(                                   &
-                                         m_liq_h%var_1d,                       &
-                                         tmp_walltype_h_1d%var_1d,             &
-                                         surf_lsm_h%start_index,               &  
-                                         start_index_on_file,                  &
-                                         end_index_on_file,                    &
-                                         nxlc, nysc,                           &
-                                         nxlf, nxrf, nysf, nynf,               &
-                                         nys_on_file, nyn_on_file,             &
-                                         nxl_on_file,nxr_on_file )
-
-
-           CASE ( 'm_liq_v(0)' )
-            
-              IF ( k == 1 )  THEN
-                 IF ( .NOT.  ALLOCATED( m_liq_v(0)%var_1d ) )                  &
-                    ALLOCATE( m_liq_v(0)%var_1d(1:surf_lsm_v(0)%ns) )
-                 READ ( 13 )  tmp_walltype_v_1d(0)%var_1d
-              ENDIF
-              CALL surface_restore_elements(                                   &
-                                      m_liq_v(0)%var_1d,                       &
-                                      tmp_walltype_v_1d(0)%var_1d,             &
-                                      surf_lsm_v(0)%start_index,               & 
-                                      start_index_on_file,                     &
-                                      end_index_on_file,                       &
-                                      nxlc, nysc,                              &
-                                      nxlf, nxrf, nysf, nynf,                  &
-                                      nys_on_file, nyn_on_file,                &
-                                      nxl_on_file,nxr_on_file )
-
-
-           CASE ( 'm_liq_v(1)' )
-            
-              IF ( k == 1 )  THEN
-                 IF ( .NOT.  ALLOCATED( m_liq_v(1)%var_1d ) )                  &
-                    ALLOCATE( m_liq_v(1)%var_1d(1:surf_lsm_v(1)%ns) )
-                 READ ( 13 )  tmp_walltype_v_1d(1)%var_1d
-              ENDIF
-              CALL surface_restore_elements(                                   &
-                                      m_liq_v(1)%var_1d,                       &
-                                      tmp_walltype_v_1d(1)%var_1d,             &
-                                      surf_lsm_v(1)%start_index,               & 
-                                      start_index_on_file,                     &
-                                      end_index_on_file,                       &
-                                      nxlc, nysc,                              &
-                                      nxlf, nxrf, nysf, nynf,                  &
-                                      nys_on_file, nyn_on_file,                &
-                                      nxl_on_file,nxr_on_file )
-
-
-           CASE ( 'm_liq_v(2)' )
-            
-              IF ( k == 1 )  THEN
-                 IF ( .NOT.  ALLOCATED( m_liq_v(2)%var_1d ) )                  &
-                    ALLOCATE( m_liq_v(2)%var_1d(1:surf_lsm_v(2)%ns) )
-                 READ ( 13 )  tmp_walltype_v_1d(2)%var_1d
-              ENDIF
-              CALL surface_restore_elements(                                   &
-                                      m_liq_v(2)%var_1d,                       &
-                                      tmp_walltype_v_1d(2)%var_1d,             &
-                                      surf_lsm_v(2)%start_index,               & 
-                                      start_index_on_file,                     &
-                                      end_index_on_file,                       &
-                                      nxlc, nysc,                              &
-                                      nxlf, nxrf, nysf, nynf,                  &
-                                      nys_on_file, nyn_on_file,                &
-                                      nxl_on_file,nxr_on_file )
-
-           CASE ( 'm_liq_v(3)' )
-            
-              IF ( k == 1 )  THEN
-                 IF ( .NOT.  ALLOCATED( m_liq_v(3)%var_1d ) )                  &
-                    ALLOCATE( m_liq_v(3)%var_1d(1:surf_lsm_v(3)%ns) )
-                 READ ( 13 )  tmp_walltype_v_1d(3)%var_1d
-              ENDIF
-              CALL surface_restore_elements(                                   &
-                                      m_liq_v(3)%var_1d,                       &
-                                      tmp_walltype_v_1d(3)%var_1d,             &
-                                      surf_lsm_v(3)%start_index,               & 
-                                      start_index_on_file,                     &
-                                      end_index_on_file,                       &
-                                      nxlc, nysc,                              &
-                                      nxlf, nxrf, nysf, nynf,                  &
-                                      nys_on_file, nyn_on_file,                &
-                                      nxl_on_file,nxr_on_file )
-
-
-           CASE ( 't_surface_h' )
-            
-              IF ( k == 1 )  THEN
-                 IF ( .NOT.  ALLOCATED( t_surface_h%var_1d ) )                 &
-                    ALLOCATE( t_surface_h%var_1d(1:surf_lsm_h%ns) )
-                 READ ( 13 )  tmp_walltype_h_1d%var_1d
-              ENDIF
-              CALL surface_restore_elements(                                   &
-                                         t_surface_h%var_1d,                   &
-                                         tmp_walltype_h_1d%var_1d,             &
-                                         surf_lsm_h%start_index,               & 
-                                         start_index_on_file,                  &
-                                         end_index_on_file,                    &
-                                         nxlc, nysc,                           &
-                                         nxlf, nxrf, nysf, nynf,               &
-                                         nys_on_file, nyn_on_file,             &
-                                         nxl_on_file,nxr_on_file )
-
-           CASE ( 't_surface_v(0)' )
-            
-              IF ( k == 1 )  THEN
-                 IF ( .NOT.  ALLOCATED( t_surface_v(0)%var_1d ) )              &
-                    ALLOCATE( t_surface_v(0)%var_1d(1:surf_lsm_v(0)%ns) )
-                 READ ( 13 )  tmp_walltype_v_1d(0)%var_1d
-              ENDIF
-              CALL surface_restore_elements(                                   &
-                                      t_surface_v(0)%var_1d,                   &
-                                      tmp_walltype_v_1d(0)%var_1d,             &
-                                      surf_lsm_v(0)%start_index,               & 
-                                      start_index_on_file,                     &
-                                      end_index_on_file,                       &
-                                      nxlc, nysc,                              &
-                                      nxlf, nxrf, nysf, nynf,                  &
-                                      nys_on_file, nyn_on_file,                &
-                                      nxl_on_file,nxr_on_file )
-
-           CASE ( 't_surface_v(1)' )
-            
-              IF ( k == 1 )  THEN
-                 IF ( .NOT.  ALLOCATED( t_surface_v(1)%var_1d ) )              &
-                    ALLOCATE( t_surface_v(1)%var_1d(1:surf_lsm_v(1)%ns) )
-                 READ ( 13 )  tmp_walltype_v_1d(1)%var_1d
-              ENDIF
-              CALL surface_restore_elements(                                   &
-                                      t_surface_v(1)%var_1d,                   &
-                                      tmp_walltype_v_1d(1)%var_1d,             &
-                                      surf_lsm_v(1)%start_index,               & 
-                                      start_index_on_file,                     &
-                                      end_index_on_file,                       &
-                                      nxlc, nysc,                              &
-                                      nxlf, nxrf, nysf, nynf,                  &
-                                      nys_on_file, nyn_on_file,                & 
-                                      nxl_on_file,nxr_on_file )
-
-           CASE ( 't_surface_v(2)' )
-            
-              IF ( k == 1 )  THEN
-                 IF ( .NOT.  ALLOCATED( t_surface_v(2)%var_1d ) )              &
-                    ALLOCATE( t_surface_v(2)%var_1d(1:surf_lsm_v(2)%ns) )
-                 READ ( 13 )  tmp_walltype_v_1d(2)%var_1d
-              ENDIF
-              CALL surface_restore_elements(                                   &
-                                      t_surface_v(2)%var_1d,                   &
-                                      tmp_walltype_v_1d(2)%var_1d,             &
-                                      surf_lsm_v(2)%start_index,               & 
-                                      start_index_on_file,                     &
-                                      end_index_on_file,                       &
-                                      nxlc, nysc,                              &
-                                      nxlf, nxrf, nysf, nynf,                  &
-                                      nys_on_file, nyn_on_file,                &
-                                      nxl_on_file,nxr_on_file )
-
-           CASE ( 't_surface_v(3)' )
-            
-              IF ( k == 1 )  THEN
-                 IF ( .NOT.  ALLOCATED( t_surface_v(3)%var_1d ) )              &
-                    ALLOCATE( t_surface_v(3)%var_1d(1:surf_lsm_v(3)%ns) )
-                 READ ( 13 )  tmp_walltype_v_1d(3)%var_1d
-              ENDIF
-              CALL surface_restore_elements(                                   &
-                                      t_surface_v(3)%var_1d,                   &
-                                      tmp_walltype_v_1d(3)%var_1d,             &
-                                      surf_lsm_v(3)%start_index,               &   
-                                      start_index_on_file,                     &
-                                      end_index_on_file,                       &
-                                      nxlc, nysc,                              &
-                                      nxlf, nxrf, nysf, nynf,                  &
-                                      nys_on_file, nyn_on_file,                &
-                                      nxl_on_file,nxr_on_file )
-
-          CASE DEFAULT
-
-                found = .FALSE.
-
-       END SELECT
+                                     nxl_on_file,nxr_on_file )                 
+                                                                               
+       CASE ( 't_surface_v(0)' )                                               
+                                                                               
+          IF ( k == 1 )  THEN                                                  
+             IF ( .NOT.  ALLOCATED( t_surface_v(0)%var_1d ) )                  &
+                ALLOCATE( t_surface_v(0)%var_1d(1:surf_lsm_v(0)%ns) )          
+             READ ( 13 )  tmp_walltype_v_1d(0)%var_1d                          
+          ENDIF                                                                
+          CALL surface_restore_elements(                                       &
+                                  t_surface_v(0)%var_1d,                       &
+                                  tmp_walltype_v_1d(0)%var_1d,                 &
+                                  surf_lsm_v(0)%start_index,                   & 
+                                  start_index_on_file,                         &
+                                  end_index_on_file,                           &
+                                  nxlc, nysc,                                  &
+                                  nxlf, nxrf, nysf, nynf,                      &
+                                  nys_on_file, nyn_on_file,                    &
+                                  nxl_on_file,nxr_on_file )                    
+                                                                               
+       CASE ( 't_surface_v(1)' )                                               
+                                                                               
+          IF ( k == 1 )  THEN                                                  
+             IF ( .NOT.  ALLOCATED( t_surface_v(1)%var_1d ) )                  &
+                ALLOCATE( t_surface_v(1)%var_1d(1:surf_lsm_v(1)%ns) )          
+             READ ( 13 )  tmp_walltype_v_1d(1)%var_1d                          
+          ENDIF                                                                
+          CALL surface_restore_elements(                                       &
+                                  t_surface_v(1)%var_1d,                       &
+                                  tmp_walltype_v_1d(1)%var_1d,                 &
+                                  surf_lsm_v(1)%start_index,                   & 
+                                  start_index_on_file,                         &
+                                  end_index_on_file,                           &
+                                  nxlc, nysc,                                  &
+                                  nxlf, nxrf, nysf, nynf,                      &
+                                  nys_on_file, nyn_on_file,                    & 
+                                  nxl_on_file,nxr_on_file )                    
+                                                                               
+       CASE ( 't_surface_v(2)' )                                               
+                                                                               
+          IF ( k == 1 )  THEN                                                  
+             IF ( .NOT.  ALLOCATED( t_surface_v(2)%var_1d ) )                  &
+                ALLOCATE( t_surface_v(2)%var_1d(1:surf_lsm_v(2)%ns) )          
+             READ ( 13 )  tmp_walltype_v_1d(2)%var_1d                          
+          ENDIF                                                                
+          CALL surface_restore_elements(                                       &
+                                  t_surface_v(2)%var_1d,                       &
+                                  tmp_walltype_v_1d(2)%var_1d,                 &
+                                  surf_lsm_v(2)%start_index,                   & 
+                                  start_index_on_file,                         &
+                                  end_index_on_file,                           &
+                                  nxlc, nysc,                                  &
+                                  nxlf, nxrf, nysf, nynf,                      &
+                                  nys_on_file, nyn_on_file,                    &
+                                  nxl_on_file,nxr_on_file )                    
+                                                                               
+       CASE ( 't_surface_v(3)' )                                               
+                                                                               
+          IF ( k == 1 )  THEN                                                  
+             IF ( .NOT.  ALLOCATED( t_surface_v(3)%var_1d ) )                  &
+                ALLOCATE( t_surface_v(3)%var_1d(1:surf_lsm_v(3)%ns) )          
+             READ ( 13 )  tmp_walltype_v_1d(3)%var_1d                          
+          ENDIF                                                                
+          CALL surface_restore_elements(                                       &
+                                  t_surface_v(3)%var_1d,                       &
+                                  tmp_walltype_v_1d(3)%var_1d,                 &
+                                  surf_lsm_v(3)%start_index,                   &   
+                                  start_index_on_file,                         &
+                                  end_index_on_file,                           &
+                                  nxlc, nysc,                                  &
+                                  nxlf, nxrf, nysf, nynf,                      &
+                                  nys_on_file, nyn_on_file,                    &
+                                  nxl_on_file,nxr_on_file )
+
+       CASE DEFAULT
+
+          found = .FALSE.
+
+    END SELECT
 
 
Index: palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90
===================================================================
--- palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90	(revision 4359)
+++ palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90	(revision 4360)
@@ -15,5 +15,5 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2019 Leibniz Universitaet Hannover
+! Copyright 1997-2020 Leibniz Universitaet Hannover
 !------------------------------------------------------------------------------!
 !
Index: palm/trunk/SOURCE/local_stop.f90
===================================================================
--- palm/trunk/SOURCE/local_stop.f90	(revision 4359)
+++ palm/trunk/SOURCE/local_stop.f90	(revision 4360)
@@ -15,5 +15,5 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2019 Leibniz Universitaet Hannover
+! Copyright 1997-2020 Leibniz Universitaet Hannover
 !------------------------------------------------------------------------------!
 !
Index: palm/trunk/SOURCE/local_system.f90
===================================================================
--- palm/trunk/SOURCE/local_system.f90	(revision 4359)
+++ palm/trunk/SOURCE/local_system.f90	(revision 4360)
@@ -15,5 +15,5 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2019 Leibniz Universitaet Hannover
+! Copyright 1997-2020 Leibniz Universitaet Hannover
 !------------------------------------------------------------------------------!
 !
Index: palm/trunk/SOURCE/local_tremain.f90
===================================================================
--- palm/trunk/SOURCE/local_tremain.f90	(revision 4359)
+++ palm/trunk/SOURCE/local_tremain.f90	(revision 4360)
@@ -15,5 +15,5 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2019 Leibniz Universitaet Hannover
+! Copyright 1997-2020 Leibniz Universitaet Hannover
 !------------------------------------------------------------------------------!
 !
Index: palm/trunk/SOURCE/local_tremain_ini.f90
===================================================================
--- palm/trunk/SOURCE/local_tremain_ini.f90	(revision 4359)
+++ palm/trunk/SOURCE/local_tremain_ini.f90	(revision 4360)
@@ -15,5 +15,5 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2019 Leibniz Universitaet Hannover
+! Copyright 1997-2020 Leibniz Universitaet Hannover
 !------------------------------------------------------------------------------!
 !
Index: palm/trunk/SOURCE/message.f90
===================================================================
--- palm/trunk/SOURCE/message.f90	(revision 4359)
+++ palm/trunk/SOURCE/message.f90	(revision 4360)
@@ -15,5 +15,5 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2019 Leibniz Universitaet Hannover
+! Copyright 1997-2020 Leibniz Universitaet Hannover
 !------------------------------------------------------------------------------!
 !
Index: palm/trunk/SOURCE/mod_kinds.f90
===================================================================
--- palm/trunk/SOURCE/mod_kinds.f90	(revision 4359)
+++ palm/trunk/SOURCE/mod_kinds.f90	(revision 4360)
@@ -15,5 +15,5 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2019 Leibniz Universitaet Hannover
+! Copyright 1997-2020 Leibniz Universitaet Hannover
 !------------------------------------------------------------------------------!
 !
Index: palm/trunk/SOURCE/mod_particle_attributes.f90
===================================================================
--- palm/trunk/SOURCE/mod_particle_attributes.f90	(revision 4359)
+++ palm/trunk/SOURCE/mod_particle_attributes.f90	(revision 4360)
@@ -15,5 +15,5 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2019 Leibniz Universitaet Hannover
+! Copyright 1997-2020 Leibniz Universitaet Hannover
 !------------------------------------------------------------------------------!
 !
Index: palm/trunk/SOURCE/model_1d_mod.f90
===================================================================
--- palm/trunk/SOURCE/model_1d_mod.f90	(revision 4359)
+++ palm/trunk/SOURCE/model_1d_mod.f90	(revision 4360)
@@ -15,5 +15,5 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2019 Leibniz Universitaet Hannover
+! Copyright 1997-2020 Leibniz Universitaet Hannover
 !------------------------------------------------------------------------------!
 !
Index: palm/trunk/SOURCE/module_interface.f90
===================================================================
--- palm/trunk/SOURCE/module_interface.f90	(revision 4359)
+++ palm/trunk/SOURCE/module_interface.f90	(revision 4360)
@@ -15,5 +15,5 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2019 Leibniz Universitaet Hannover
+! Copyright 1997-2020 Leibniz Universitaet Hannover
 !------------------------------------------------------------------------------!
 !
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Add pcm_rrd_local and pcm_wrd_local
+! 
+! 4331 2019-12-10 18:25:02Z suehring
 ! Change interface for doq_check_data_output, in order to perform further 
 ! output checks.
@@ -408,5 +411,7 @@
                pcm_header,                                                     &
                pcm_3d_data_averaging,                                          &
-               pcm_data_output_3d
+               pcm_data_output_3d,                                             &
+               pcm_rrd_local,                                                  &
+               pcm_wrd_local
 
     USE radiation_model_mod,                                                   &
@@ -1778,4 +1783,13 @@
                             ) ! ToDo: change interface to pass variable
 
+     IF ( .NOT. found )  CALL pcm_rrd_local(                                   &
+                               map_index,                                      &
+                               nxlf, nxlc, nxl_on_file,                        &
+                               nxrf, nxrc, nxr_on_file,                        &
+                               nynf, nync, nyn_on_file,                        &
+                               nysf, nysc, nys_on_file,                        &
+                               tmp_2d, tmp_3d, found                           &
+                                           )
+
     IF ( .NOT. found )  CALL ocean_rrd_local(                                  &
                                map_index,                                      &
@@ -1851,4 +1865,5 @@
     IF ( particle_advection )   CALL lpm_wrd_local
     IF ( land_surface )         CALL lsm_wrd_local
+    IF ( plant_canopy )         CALL pcm_wrd_local
     IF ( ocean_mode )           CALL ocean_wrd_local
     IF ( radiation )            CALL radiation_wrd_local
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 4359)
+++ palm/trunk/SOURCE/modules.f90	(revision 4360)
@@ -15,5 +15,5 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2019 Leibniz Universitaet Hannover
+! Copyright 1997-2020 Leibniz Universitaet Hannover
 !------------------------------------------------------------------------------!
 !
Index: palm/trunk/SOURCE/nesting_offl_mod.f90
===================================================================
--- palm/trunk/SOURCE/nesting_offl_mod.f90	(revision 4359)
+++ palm/trunk/SOURCE/nesting_offl_mod.f90	(revision 4360)
@@ -15,5 +15,5 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2019 Leibniz Universitaet Hannover
+! Copyright 1997-2020 Leibniz Universitaet Hannover
 !------------------------------------------------------------------------------!
 !
Index: palm/trunk/SOURCE/netcdf_data_input_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 4359)
+++ palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 4360)
@@ -15,5 +15,5 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2019 Leibniz Universitaet Hannover
+! Copyright 1997-2020 Leibniz Universitaet Hannover
 !------------------------------------------------------------------------------!
 !
Index: palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4359)
+++ palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4360)
@@ -15,5 +15,5 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2019 Leibniz Universitaet Hannover
+! Copyright 1997-2020 Leibniz Universitaet Hannover
 !------------------------------------------------------------------------------!
 !
Index: palm/trunk/SOURCE/outflow_turbulence.f90
===================================================================
--- palm/trunk/SOURCE/outflow_turbulence.f90	(revision 4359)
+++ palm/trunk/SOURCE/outflow_turbulence.f90	(revision 4360)
@@ -15,5 +15,5 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2019 Leibniz Universitaet Hannover
+! Copyright 1997-2020 Leibniz Universitaet Hannover
 !------------------------------------------------------------------------------!
 !
Index: palm/trunk/SOURCE/palm.f90
===================================================================
--- palm/trunk/SOURCE/palm.f90	(revision 4359)
+++ palm/trunk/SOURCE/palm.f90	(revision 4360)
@@ -15,5 +15,5 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2019 Leibniz Universitaet Hannover
+! Copyright 1997-2020 Leibniz Universitaet Hannover
 !------------------------------------------------------------------------------!
 !
Index: palm/trunk/SOURCE/palm_date_time_mod.f90
===================================================================
--- palm/trunk/SOURCE/palm_date_time_mod.f90	(revision 4359)
+++ palm/trunk/SOURCE/palm_date_time_mod.f90	(revision 4360)
@@ -15,5 +15,5 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2019 Leibniz Universitaet Hannover
+! Copyright 1997-2020 Leibniz Universitaet Hannover
 !------------------------------------------------------------------------------!
 !
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 4359)
+++ palm/trunk/SOURCE/parin.f90	(revision 4360)
@@ -15,5 +15,5 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2019 Leibniz Universitaet Hannover
+! Copyright 1997-2020 Leibniz Universitaet Hannover
 !------------------------------------------------------------------------------!
 !
